Upstream information

CVE-2014-10072 at MITRE

Description

In utils.c in zsh before 5.0.6, there is a buffer overflow when scanning very long directory paths for symbolic links.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 5.3
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
Attack Vector Local
Attack Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
CVSSv3 Version 3
SUSE Bugzilla entry: 1082975 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES12-SP4-Azure-BYOS
Image SLES12-SP4-EC2-HVM-BYOS
Image SLES12-SP4-GCE-BYOS
Image SLES12-SP4-OCI-BYOS
Image SLES12-SP4-SAP-Azure
Image SLES12-SP4-SAP-Azure-BYOS
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP4-SAP-EC2-HVM
Image SLES12-SP4-SAP-EC2-HVM-BYOS
Image SLES12-SP4-SAP-GCE
Image SLES12-SP4-SAP-GCE-BYOS
Image SLES12-SP4-SAP-OCI-BYOS
Image SLES12-SP5-Azure-BYOS
Image SLES12-SP5-Azure-Basic-On-Demand
Image SLES12-SP5-Azure-HPC-BYOS
Image SLES12-SP5-Azure-HPC-On-Demand
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-Azure-Standard-On-Demand
Image SLES12-SP5-EC2-BYOS
Image SLES12-SP5-EC2-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE-BYOS
Image SLES12-SP5-GCE-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-OCI-BYOS-BYOS
Image SLES12-SP5-OCI-BYOS-SAP-BYOS
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • zsh >= 5.0.5-6.7.2
SUSE Linux Enterprise Desktop 12 SP3
  • zsh >= 5.0.5-6.7.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-733
SUSE Linux Enterprise Desktop 12 SP4
  • zsh >= 5.0.5-6.7.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA zsh-5.0.5-6.7.2
SUSE Linux Enterprise High Performance Computing 12 SP5
  • zsh >= 5.0.5-6.7.2
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA zsh-5.0.5-6.7.2
SUSE Linux Enterprise Point of Sale 11 SP3
  • zsh >= 4.3.6-67.9.8.1
Patchnames:
sleposp3-zsh-14910
SUSE Linux Enterprise Server 11 SP4-LTSS
  • zsh >= 4.3.6-67.9.8.1
Patchnames:
slessp4-zsh-14910
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • zsh >= 5.0.5-6.7.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-733
SUSE Linux Enterprise Server 12 SP4
  • zsh >= 5.0.5-6.7.2
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA zsh-5.0.5-6.7.2
SUSE Linux Enterprise Server 12 SP5
  • zsh >= 5.0.5-6.7.2
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA zsh-5.0.5-6.7.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 zsh Not affected
SUSE Enterprise Storage 7.1 zsh Not affected
SUSE Linux Enterprise Desktop 15 SP4 zsh Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 zsh Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 zsh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 zsh Not affected
SUSE Linux Enterprise Real Time 15 SP3 zsh Not affected
SUSE Linux Enterprise Server 12 SP5 zsh Affected
SUSE Linux Enterprise Server 12-LTSS zsh Unsupported
SUSE Linux Enterprise Server 15 SP4 zsh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 zsh Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 zsh Not affected
SUSE Manager Proxy 4.2 zsh Not affected
SUSE Manager Proxy 4.3 zsh Not affected
SUSE Manager Retail Branch Server 4.2 zsh Not affected
SUSE Manager Retail Branch Server 4.3 zsh Not affected
SUSE Manager Server 4.2 zsh Not affected
SUSE Manager Server 4.3 zsh Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 12 SP4 zsh Affected
SUSE Linux Enterprise High Performance Computing 15 zsh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 zsh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS zsh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS zsh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 zsh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS zsh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS zsh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 zsh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS zsh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS zsh Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS zsh Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS zsh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 zsh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 zsh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 zsh Not affected
SUSE Linux Enterprise Server 12 SP2-BCL zsh Affected
SUSE Linux Enterprise Server 12 SP4 zsh Affected
SUSE Linux Enterprise Server 12 SP4-LTSS zsh Affected
SUSE Linux Enterprise Server 15 SP1 zsh Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS zsh Not affected
SUSE Linux Enterprise Server 15 SP2 zsh Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS zsh Not affected
SUSE Linux Enterprise Server 15 SP3 zsh Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS zsh Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 zsh Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 zsh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 zsh Affected
SUSE Linux Enterprise Server for SAP Applications 15 zsh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 zsh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 zsh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 zsh Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 zsh Affected
SUSE CaaS Platform 4.0 zsh Not affected
SUSE CaaS Platform 4.5 zsh Not affected
SUSE Enterprise Storage 6 zsh Not affected
SUSE Linux Enterprise Desktop 12 zsh Affected
SUSE Linux Enterprise Desktop 12 SP1 zsh Affected
SUSE Linux Enterprise Desktop 12 SP2 zsh Affected
SUSE Linux Enterprise Desktop 12 SP3 zsh Released
SUSE Linux Enterprise Desktop 12 SP4 zsh Affected
SUSE Linux Enterprise Desktop 15 zsh Not affected
SUSE Linux Enterprise Desktop 15 SP1 zsh Not affected
SUSE Linux Enterprise Desktop 15 SP2 zsh Not affected
SUSE Linux Enterprise Desktop 15 SP3 zsh Not affected
SUSE Linux Enterprise Module for Basesystem 15 zsh Not affected
SUSE Linux Enterprise Point of Sale 11 SP3 zsh Released
SUSE Linux Enterprise Point of Service 11 SP3 zsh Released
SUSE Linux Enterprise Real Time 15 SP2 zsh Not affected
SUSE Linux Enterprise Server 11 SP1 zsh Unsupported
SUSE Linux Enterprise Server 11 SP3 zsh Unsupported
SUSE Linux Enterprise Server 11 SP3 LTSS zsh Affected
SUSE Linux Enterprise Server 11 SP3-LTSS zsh Affected
SUSE Linux Enterprise Server 11 SP4 zsh Affected
SUSE Linux Enterprise Server 11 SP4 LTSS zsh Released
SUSE Linux Enterprise Server 11 SP4-LTSS zsh Released
SUSE Linux Enterprise Server 12 zsh Affected
SUSE Linux Enterprise Server 12 SP1 zsh Affected
SUSE Linux Enterprise Server 12 SP1-LTSS zsh Unsupported
SUSE Linux Enterprise Server 12 SP2 zsh Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS zsh Affected
SUSE Linux Enterprise Server 12 SP2-LTSS zsh Unsupported
SUSE Linux Enterprise Server 12 SP3 zsh Released
SUSE Linux Enterprise Server 12 SP3-BCL zsh Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS zsh Affected
SUSE Linux Enterprise Server 12 SP3-LTSS zsh Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS zsh Affected
SUSE Linux Enterprise Server 15 zsh Not affected
SUSE Linux Enterprise Server 15 SP1-BCL zsh Not affected
SUSE Linux Enterprise Server 15 SP2-BCL zsh Not affected
SUSE Linux Enterprise Server 15 SP3-BCL zsh Not affected
SUSE Linux Enterprise Server 15-LTSS zsh Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 zsh Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 zsh Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 zsh Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 zsh Released
SUSE Manager Proxy 4.0 zsh Not affected
SUSE Manager Proxy 4.1 zsh Not affected
SUSE Manager Retail Branch Server 4.0 zsh Not affected
SUSE Manager Retail Branch Server 4.1 zsh Not affected
SUSE Manager Server 4.0 zsh Not affected
SUSE Manager Server 4.1 zsh Not affected
SUSE OpenStack Cloud 7 zsh Affected
SUSE OpenStack Cloud 8 zsh Affected
SUSE OpenStack Cloud 9 zsh Affected
SUSE OpenStack Cloud Crowbar 8 zsh Affected
SUSE OpenStack Cloud Crowbar 9 zsh Affected


SUSE Timeline for this CVE

CVE page created: Tue Feb 27 09:43:38 2018
CVE page last modified: Fri Jan 20 12:31:37 2023